Subject: bug#14569: 24.3.50; bootstrap fails on Cygwin

From: Ken Brown <[email-masked]>
Date: Sun, 23 Jun 2013 11:56:13 -0400

On 6/22/2013 3:04 PM, Paul Eggert wrote:
> On 06/22/13 08:13, Ken Brown wrote:
>> Jan or Paul, can you help?
>
> The second trace suggests there's a race condition bug in Cygwin glib,
> which I've tried to work around in trunk bzr 113138.  Does that help?
> (At least, does it make Emacs crash more reliably?....)

As Angelo said, the answer to both questions is "No".  But there's 
actually a big difference.  First, the 'abort' breakpoint is never hit. 
  Second, there are no more SEGVs reported in glib.  There are lots of 
SEGVs in _malloc_internal_nolock, and some further SEGVs that gdb can't 
pinpoint.  I think all of the crashes in _malloc_internal_nolock are 
coming when it's called by special_realloc.  Maybe the latter needs to 
be calling _malloc_internal instead of _malloc_inernal_nolock.  I don't 
have any more time right now, but I'll try that later.

Ken